## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global nagiospluginsdir %{_libdir}/nagios/plugins
%global nagiospluginname check_ssl_cert
Name:           nagios-plugins-%{nagiospluginname}
Version:        2.81.1
Release:        1%{?dist}
Summary:        Nagios plugin to check SSL certificates

License:        GPLv3+
URL:            https://github.com/matteocorti/check_ssl_cert
Source:         %{URL}/releases/download/v%{version}/%{nagiospluginname}-%{version}.tar.bz2

Requires:       bash
Requires:       bc
Requires:       curl
Requires:       coreutils
Requires:       openssl
Requires:       nagios-plugins
Requires:       perl(Date::Parse)

%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     /usr/bin/dig
Recommends:     /usr/bin/expand
Recommends:     /usr/bin/timeout
Recommends:     /usr/sbin/ip
%endif

BuildRequires:  make

# The package does not contain any architecture-dependent things, but installs
# into an arch-dependent directory. Thus, it cannot be noarch, but it does not
# provide any debuginfo.
%global debug_package %{nil}

%description
A POSIX shell script (that can be used as a Nagios/Icinga plugin) to check an
SSL/TLS connection and certificate.

%prep
%autosetup -p1 -n %{nagiospluginname}-%{version}

%build
# Nothing to do here.

%install
%make_install DESTDIR=%{buildroot}/%{nagiospluginsdir} MANDIR=%{buildroot}/%{_mandir}

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
install -m 0644 -vp %{nagiospluginname}.completion %{buildroot}%{_datadir}/bash-completion/completions/%{nagiospluginname}
mkdir -p %{buildroot}%{_datadir}/icinga2/include/plugins-contrib.d/
install -m 0644 -vp %{nagiospluginname}_icinga2.conf %{buildroot}%{_datadir}/icinga2/include/plugins-contrib.d/%{nagiospluginname}.conf
%files
%doc NEWS.md
%doc README.md
%license COPYING.md
%{_mandir}/man1/%{nagiospluginname}.1*
%{nagiospluginsdir}/%{nagiospluginname}
%{_datadir}/bash-completion/completions/%{nagiospluginname}
%{_datadir}/icinga2/include/plugins-contrib.d/%{nagiospluginname}.conf


%changelog
* Sat Jun 01 2024 Christian Birk <mail@birkc.de> - 2.81.1-1
- new version

* Mon Mar 18 2024 Christian Birk <mail@birkc.de> - 2.81.0-1
- new version

* Thu Mar 07 2024 Christian Birk <mail@birkc.de> - 2.80.0-1
- new version

* Sun Feb 04 2024 Christian Birk <mail@birkc.de> - 2.79.0-1
- new version

* Sun Oct 02 2022 Till Hofmann <hofmann@kbsg.rwth-aachen.de> 2.49.0-1
- Uncommitted changes

* Thu Jul 28 2022 Till Hofmann <hofmann@kbsg.rwth-aachen.de> 2.3.6-1
- Initial package
